Skip to main content
POST
/
api
/
v2
/
customers
Create customer
curl --request POST \
  --url https://rcur.app/api/v2/customers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "John",
  "last_name": "Doe",
  "email": "john@example.com",
  "number": "CUST-001",
  "organization_name": "Acme B.V.",
  "phone": "+31612345678",
  "address": "Keizersgracht 1",
  "postal_code": "1015AA",
  "city": "Amsterdam",
  "country": "NL",
  "vat_number": "NL123456789B01",
  "locale": "nl"
}
'
{
  "id": "abc123def456",
  "first_name": "John",
  "last_name": "Doe",
  "email": "john@example.com",
  "created_at": "2025-01-15 10:30:00",
  "number": "CUST-001",
  "phone": "+31612345678",
  "organization_name": "Acme B.V.",
  "address": "Keizersgracht 1",
  "postal_code": "1015AA",
  "city": "Amsterdam",
  "country": "NL",
  "vat_number": "NL123456789B01",
  "locale": "nl",
  "mollie_customer_id": "cst_abc123"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Customer data

first_name
string
required

First name

Example:

"John"

last_name
string
required

Last name

Example:

"Doe"

email
string
required

Email address

Example:

"john@example.com"

number
string

Customer number

Example:

"CUST-001"

organization_name
string

Organization name

Example:

"Acme B.V."

phone
string

Phone number

Example:

"+31612345678"

address
string

Street address

Example:

"Keizersgracht 1"

postal_code
string

Postal code

Example:

"1015AA"

city
string

City

Example:

"Amsterdam"

country
string

ISO 3166-1 alpha-2 country code

Example:

"NL"

vat_number
string

VAT number

Example:

"NL123456789B01"

locale
enum<string>
Available options:
nl,
en,
fr,
de,
es
Example:

"nl"

Response

Customer details

id
string
required
Example:

"abc123def456"

first_name
string
required
Example:

"John"

last_name
string
required
Example:

"Doe"

email
string
required
Example:

"john@example.com"

created_at
string
required
Example:

"2025-01-15 10:30:00"

number
string | null
Example:

"CUST-001"

phone
string | null
Example:

"+31612345678"

organization_name
string | null
Example:

"Acme B.V."

address
string | null
Example:

"Keizersgracht 1"

postal_code
string | null
Example:

"1015AA"

city
string | null
Example:

"Amsterdam"

country
string | null
Example:

"NL"

vat_number
string | null
Example:

"NL123456789B01"

locale
enum<string> | null
Available options:
nl,
en,
fr,
de,
es
Example:

"nl"

mollie_customer_id
string | null
Example:

"cst_abc123"